Bug 190218 - geomview: better icons
geomview: better icons
Product: Fedora
Classification: Fedora
Component: geomview (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-04-28 17:20 EDT by Gérard Milmeister
Modified: 2009-07-14 13:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 13:15:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
geomview icon (2.51 KB, image/png)
2006-04-28 17:20 EDT, Gérard Milmeister
no flags Details
Proposal for new Geomview icons, in a ZIP file. (19.84 KB, application/x-zip)
2007-10-09 14:31 EDT, Laurent Rineau
no flags Details
Proposal: new icon for object/x-oogl (13.86 KB, image/svg+xml)
2007-10-09 15:41 EDT, Laurent Rineau
no flags Details

  None (edit)
Description Gérard Milmeister 2006-04-28 17:20:08 EDT
I have made the icon for geomview transparent. Looks nicer
in the menus.
Comment 1 Gérard Milmeister 2006-04-28 17:20:08 EDT
Created attachment 128377 [details]
geomview icon
Comment 2 Rex Dieter 2006-05-12 14:41:26 EDT
Comment 3 Rex Dieter 2006-05-12 14:46:53 EDT
included for next build.
Comment 4 Laurent Rineau 2007-10-09 14:28:33 EDT
(bug reuse)
Rex, it would be nice to have a 64×64 icon (and maybe 128×128), too. Geomview 
files look pretty bad on my screen, because they are pixelized.
Comment 5 Laurent Rineau 2007-10-09 14:31:02 EDT
Created attachment 221631 [details]
Proposal for new Geomview icons, in a ZIP file.

Here is a proposal for new a geomview icon.
I have a SVG version, scallable, and several rendered version in different

Rex, do you know how to make KDE (and Gnome) use those icons?

Maybe I could also propose a different icon for Geomview files.
Comment 6 Rex Dieter 2007-10-09 14:39:54 EDT
awesome, sure.  
You provide cool icons, I'll include them, and make sure they work. :)

> Maybe I could also propose a different icon for Geomview files.

I'm ok with that too.
Comment 7 Rex Dieter 2007-10-09 14:59:00 EDT
* Tue Oct 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.9.4-4
- more icons (#190218)

I wait on a new build until I hear if you new mime/geomview file icons too. :)
Comment 8 Laurent Rineau 2007-10-09 15:41:28 EDT
Created attachment 221701 [details]
Proposal: new icon for object/x-oogl

As for the file icon, I do not now what to do. I have made a CrystalSVG-like
icon. Maybe that icon is too "Crystalic" to be shipped as default icon for OOGL
files. I let you decide.

I can edit that if you have suggestions. My icons are far from being perfect.
Actually, it is the first time I create icons. It is even the first time I use
Inkscape! :-)

I suggest that you forward that work to upstream. Put me in Cc. And let me know
under which license I need to give those icons, too.

Good night!
Comment 9 Rex Dieter 2007-10-09 16:00:30 EDT
Thanks.  I've been meaning to send the .desktop/mime/icon stuff upstream for
awhile, now I have a better excuse.
Comment 10 Bug Zapper 2008-04-03 13:14:16 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 11 Bug Zapper 2008-05-13 22:09:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 12 Bug Zapper 2009-06-09 18:09:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 13 Bug Zapper 2009-07-14 13:15:22 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.